InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::MadgwickAlgorithmSettings Struct Reference

Madgwick Orientation Algorithm Settings. More...

`#include <OrientationSettings.h>`

## Public Member Functions
| MadgwickAlgorithmSettings ()
| MadgwickAlgorithmSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
double | gainBeta
| Adjust the influence of the gyroscope (higher) versus accelerometer (lower) (0 <= value <= 1), default is 0.1.

## Detailed Description

Madgwick Orientation Algorithm Settings.

Struct containing settings for Madgwick orientation algorithm.

## Constructor & Destructor Documentation

## ◆ MadgwickAlgorithmSettings() [1/2]

inertia::MadgwickAlgorithmSettings::MadgwickAlgorithmSettings | ( |  | ) |

Default constructor.

## ◆ MadgwickAlgorithmSettings() [2/2]

inertia::MadgwickAlgorithmSettings::MadgwickAlgorithmSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates MadgwickAlgorithmSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::MadgwickAlgorithmSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for MadgwickAlgorithmSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::MadgwickAlgorithmSettings::ToString | ( |  | ) | const

Get a string representation of this MadgwickAlgorithmSettings. The string is compatible with GetOptionDescription() and MadgwickAlgorithmSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- OrientationSettings.h